> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar

> Lista todos los clientes con paginación.



## OpenAPI

````yaml /api/openapi.json get /customers
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /customers:
    get:
      tags:
        - Clientes
      summary: Listar
      description: Lista todos los clientes con paginación.
      operationId: get-customers
      parameters:
        - schema:
            type: integer
            default: 1
          in: query
          name: page
          description: Número de página para retornar.
        - schema:
            type: integer
            default: 20
          in: query
          name: limit
          description: Número de elementos para retornar.
      responses:
        '200':
          description: OK
          headers: {}
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  data:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        erpCode:
                          type: string
                        firstName:
                          type: string
                          minLength: 1
                        lastName:
                          type: string
                          minLength: 1
                        phone:
                          type: string
                          minLength: 1
                        email:
                          type: string
                          minLength: 1
                        loginCode:
                          type: string
                          minLength: 1
                        birthdate:
                          type: string
                          examples:
                            - '2021-12-31'
                        createdAt:
                          type: string
                          minLength: 1
                        priceListId:
                          type: number
                        documents:
                          type: array
                          uniqueItems: true
                          minItems: 1
                          items:
                            type: object
                            properties:
                              number:
                                type: string
                                minLength: 1
                              fiscalAddress:
                                type: string
                                description: Requerido solo cuando `forTaxes` es `true`.
                              fiscalName:
                                type: string
                                description: Requerido solo cuando `forTaxes` es `true`.
                              email:
                                type: string
                              isDefault:
                                type: boolean
                              forTaxes:
                                type: boolean
                                description: >-
                                  Este parámetro determina si el documento es
                                  para impuestos.
                            required:
                              - number
                              - fiscalAddress
                              - fiscalName
                              - email
                              - isDefault
                              - forTaxes
                      required:
                        - id
                        - firstName
                        - lastName
                        - phone
                        - email
                        - loginCode
                        - createdAt
                        - priceListId
                required:
                  - data
components:
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````